| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::std_coroutine::coroutine_traits< dpp::coroutine< R >, Args... > Struct Template Reference

Specialization of std::coroutine_traits, helps the standard library figure out a promise type from a coroutine function. More...

`#include <coroutine.h>`

## Public Types

using | promise_type = dpp::detail::coroutine::promise_t<R>

## Detailed Description

template<typename R, typename... Args>
struct dpp::detail::std_coroutine::coroutine_traits< dpp::coroutine< R >, Args... >

Specialization of std::coroutine_traits, helps the standard library figure out a promise type from a coroutine function.

## Member Typedef Documentation

## ◆ promise_type

template<typename R, typename... Args>

using dpp::detail::std_coroutine::coroutine_traits< dpp::coroutine< R >, Args... >::promise_type = dpp::detail::coroutine::promise_t<R>

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0